Page MenuHomePhabricator

Bump our Nodepool Debian package to 0.1.1
Closed, ResolvedPublic

Description

Once we have T104971: Bump our Nodepool package to 0.1.0 we can move to 0.1.1 which is the release before shade is introduced:

$ git shortlog --no-merges 0.1.0..0.1.1
Antoine Musso (3):
      Support spaces in Gearman functions names
      Add tox 'docs' env to build Sphinx documentation
      Improve configuration documentation

Clark Boylan (3):
      Log ipv6 addresses for nodes
      Allow for no ZMQ publishers
      Allow for Jenkinsless targets

Thanh Ha (1):
      Clarify project-id meaning for Rackspace deployment

No changes in requirements:

$ git log 0.1.0..0.1.1 -- requirements.txt
$

Will need to drop our patch 0001-Support-spaces-in-Gearman-functions-names.patch since it got merged and rebase the branch patch-queue/debian ( https://gerrit.wikimedia.org/r/#/c/205564/ is no more needed).

Details

Related Gerrit Patches:
operations/debs/nodepool : debianBump Nodepool 0.1.1

Event Timeline

hashar claimed this task.
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 29 2015, 10:14 AM
hashar renamed this task from Bump our Nodepool Debian package to to Bump our Nodepool Debian package to 0.1.1.Jul 29 2015, 10:14 AM
hashar set Security to None.
hashar moved this task from Backlog to In-progress on the Continuous-Integration-Scaling board.

Change 235487 had a related patch set uploaded (by Hashar):
Bump Nodepool 0.1.1

https://gerrit.wikimedia.org/r/235487

root@integration-slave-jessie-1001:~/nodepool(debianu+1)# GIT_PBUILDER_AUTOCONF=no DIST=jessie WIKIMEDIA=yes git-buildpackage -us -uc --git-builder=git-pbuilder --git-debian-branch=debian --git-upstream-tag=0.1.1
gbp:info: nodepool_0.1.1.orig.tar.gz does not exist, creating from '0.1.1'
$ cd /var/cache/pbuilder/result/jessie-amd64
$ ls -l *0.1.1*
-rw-r--r-- 1 root root 69966 Sep  2 15:48 nodepool_0.1.1.orig.tar.gz
-rw-r--r-- 1 root root  1584 Sep  2 15:49 nodepool_0.1.1-wmf1_amd64.changes
-rw-r--r-- 1 root root 46872 Sep  2 15:49 nodepool_0.1.1-wmf1_amd64.deb
-rw-r--r-- 1 root root  4248 Sep  2 15:49 nodepool_0.1.1-wmf1.debian.tar.xz
-rw-r--r-- 1 root root  1126 Sep  2 15:49 nodepool_0.1.1-wmf1.dsc

Uploaded to:

terbium.eqiad.wmnet:/home/hashar/public_html/debs/nodepool_0.1.1-wmf1/
https://people.wikimedia.org/~hashar/debs/nodepool_0.1.1-wmf1/

Need to be uploaded on apt.wikimedia.org to jessie-wikimedia/thirdparty

hashar triaged this task as High priority.Sep 2 2015, 3:53 PM

Change 235487 merged by Hashar:
Bump Nodepool 0.1.1

https://gerrit.wikimedia.org/r/235487

While at it we need support for python-statsd >= 3.x ( T107268 ). I build a new package and updating T111203.

hashar closed this task as Resolved.Sep 3 2015, 2:57 PM
hashar added a subscriber: Andrew.

@Andrew uploaded the package on apt.wikimedia.org and upgraded the service.

hashar@labnodepool1001:/var/log/nodepool$ apt-cache policy nodepool
nodepool:
  Installed: 0.1.1-wmf2
  Candidate: 0.1.1-wmf2
  Version table:
 *** 0.1.1-wmf2 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/thirdparty amd64 Packages
        100 /var/lib/dpkg/status
hashar@labnodepool1001:/var/log/nodepool$ nodepoold --version
Nodepool version: 0.1.1
hashar@labnodepool1001:/var/log/nodepool$